package ie.ucd.csi.muadib;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.PaintEvent;
import org.eclipse.swt.events.PaintListener;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.graphics.PaletteData;
import org.eclipse.swt.widgets.Canvas;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

public class SpectrogramView extends ViewPart {
//public SWTImageCanvas imageCanvas;
	
public SpectrogramView(){
	super();
	
}
	
	public void createPartControl(Composite parent) {
//		imageCanvas=new SWTImageCanvas(parent);
//		imageCanvas.loadImage("C:/Documents and Settings/Leo/My Documents/eclipse/workspace/ie.ucd.csi.muadib/spec.jpg");
		int dx=800,dy=100;
		
		byte[] imgdata = AudioDraw.getSpectrograph(dx,dy);
		
		
		Canvas canvas = new Canvas(parent, SWT.NONE);
		
	
		ImageData id = new ImageData(dx,dy,24,new PaletteData(255,255,255), 1, imgdata);
		final Image img = new Image(canvas.getDisplay(), id);
		
		canvas.addPaintListener(new PaintListener() {
	        public void paintControl(PaintEvent e) {
	         e.gc.drawImage(img,0,0);
	        }
	    });
	    
		
	}
		
	public void setFocus() {
//		imageCanvas.setFocus();
		
	}
	public void dispose() {
//		imageCanvas.dispose();
		super.dispose();
	}

}
